package com.huimv.eartag2.api.controller;

import com.huimv.eartag2.api.service.IEartagData2Service;
import com.huimv.eartag2.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/openApi")
public class OpenApi {

    @Autowired
    private IEartagData2Service eartagDataService;

    @PostMapping("/getEartagDataByUser")
    public Result getEartagDataByUser(@RequestBody Map<String, String> maps){
        return eartagDataService.getEartagDataByUser(maps);
    }



}
